Name: libcotp
Summary: C library that generates TOTP and HOTP
Version: 3.0.0
Release: 1%{?dist}
License: Apache v2
Url: https://github.com/paolostivanin/libcotp
Source0: https://github.com/paolostivanin/libcotp/archive/refs/tags/v%{version}.tar.gz


%description
C library that generates TOTP and HOTP according to RFC-6238

%package devel
Requires: %{name}%{_isa} = %{version}-%{release}
Summary: Development files for libcotp libraries
%description devel
Development files for libcotp libraries


%prep
%setup -q -n libcotp-%{version}


%build
%cmake
%cmake_build


%install
%cmake_install


%files
%{_libdir}/libcotp.so
%{_libdir}/libcotp.so.3
%{_libdir}/libcotp.so.3.0.0


%files devel
%{_includedir}/cotp.h
%{_libdir}/pkgconfig/cotp.pc


%changelog
